# Deprecated API

## Contents

- For Removal
- Interfaces
- Classes
- Exceptions
- Fields
- Methods
- Enum Constants

- For Removal
  Element | Description
  --- | ---
  org.apache.lucene.analysis.StopwordAnalyzerBase.loadStopwordSet​(boolean, Class<? extends Analyzer>, String, String) | `Class.getResourceAsStream(String)` is caller sensitive and cannot load resources across Java Modules. Please call the `getResourceAsStream()` and `WordlistLoader.getWordSet(Reader, String, CharArraySet)` or other methods directly.
  org.apache.lucene.util.IOUtils.getDecodingReader​(Class<?>, String, Charset) | `Class.getResourceAsStream(String)` is caller sensitive and cannot load resources across Java Modules. Please call the `getResourceAsStream()` directly and use `IOUtils.requireResourceNonNull(Object,String)` to signal missing resources `null`
  org.apache.lucene.util.IOUtils.IOConsumer | was replaced by `IOConsumer`.
  org.apache.lucene.util.IOUtils.IOFunction | was replaced by `IOFunction`.

- Interfaces
  Interface | Description
  --- | ---
  org.apache.lucene.util.IOUtils.IOConsumer | was replaced by `IOConsumer`.
  org.apache.lucene.util.IOUtils.IOFunction | was replaced by `IOFunction`.

- Classes
  Class | Description
  --- | ---
  org.apache.lucene.search.DocValuesFieldExistsQuery | Use `FieldExistsQuery` instead.
  org.apache.lucene.search.KnnVectorFieldExistsQuery | Use `FieldExistsQuery` instead.
  org.apache.lucene.search.NormsFieldExistsQuery | Use `FieldExistsQuery` instead.

- Exceptions
  Exceptions | Description
  --- | ---
  org.apache.lucene.search.BooleanQuery.TooManyClauses | use `IndexSearcher.TooManyClauses`

- Fields
  Field | Description
  --- | ---
  org.apache.lucene.util.BitUtil.VH_BE_DOUBLE | Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.BitUtil.VH_BE_FLOAT | Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.BitUtil.VH_BE_INT | Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.BitUtil.VH_BE_LONG | Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.BitUtil.VH_BE_SHORT | Better use little endian unless it is needed for backwards compatibility.
  org.apache.lucene.util.Version.LUCENE_8_0_0 | (9.0.0) Use latest
  org.apache.lucene.util.Version.LUCENE_8_1_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_1_1 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_10_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_10_1 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_11_0 | (8.11.1) Use latest
  org.apache.lucene.util.Version.LUCENE_8_11_1 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_12_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_2_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_3_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_3_1 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_4_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_4_1 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_5_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_5_1 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_5_2 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_6_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_6_1 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_6_2 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_6_3 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_7_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_8_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_8_1 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_8_2 | Use latest
  org.apache.lucene.util.Version.LUCENE_8_9_0 | Use latest
  org.apache.lucene.util.Version.LUCENE_9_0_0 | (9.1.0) Use latest
  org.apache.lucene.util.Version.LUCENE_9_1_0 | (9.2.0) Use latest
  org.apache.lucene.util.Version.LUCENE_CURRENT | Use `Version.LATEST`

- Methods
  Method | Description
  --- | ---
  org.apache.lucene.analysis.StopwordAnalyzerBase.loadStopwordSet​(boolean, Class<? extends Analyzer>, String, String) | `Class.getResourceAsStream(String)` is caller sensitive and cannot load resources across Java Modules. Please call the `getResourceAsStream()` and `WordlistLoader.getWordSet(Reader, String, CharArraySet)` or other methods directly.
  org.apache.lucene.search.BooleanQuery.getMaxClauseCount() | use `IndexSearcher.getMaxClauseCount()`
  org.apache.lucene.search.BooleanQuery.setMaxClauseCount​(int) | use `IndexSearcher.setMaxClauseCount(int)`
  org.apache.lucene.search.MultiTermQuery.setRewriteMethod​(MultiTermQuery.RewriteMethod) | set this using a constructor instead
  org.apache.lucene.search.SortField.getOptimizeSortWithPoints() |
  org.apache.lucene.search.SortField.setOptimizeSortWithPoints​(boolean) | should only be used for compatibility with 8.x indices that got created with inconsistent data across fields, or the wrong sort configuration in the index sort
  org.apache.lucene.util.CharsRef.getUTF16SortedAsUTF8Comparator() | This comparator is only a transition mechanism
  org.apache.lucene.util.IOUtils.getDecodingReader​(Class<?>, String, Charset) | `Class.getResourceAsStream(String)` is caller sensitive and cannot load resources across Java Modules. Please call the `getResourceAsStream()` directly and use `IOUtils.requireResourceNonNull(Object,String)` to signal missing resources `null`

- Enum Constants
  Enum Constant | Description
  --- | ---
  org.apache.lucene.util.packed.PackedInts.Format.PACKED_SINGLE_BLOCK | Use `PackedInts.Format.PACKED` instead.